## pd-pool 0.2.2+git20210923.1.40cb82e

=== Makefile ===
NAME=pool
cflags=-DFLEXT_INLINE -DFLEXT_ATTRIBUTES=1

# source files
$(NAME).class.sources = $(wildcard source/*.cpp)

# help files
datafiles = $(wildcard pd/*-help.pd)

# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=./pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

## pd-pool 0.2.2~git20161105.1.4b157f51

=== debian/changelog ===
pd-pool (0.2.2~git20161105.1.4b157f51-1) unstable; urgency=medium

  * Initial release (Closes: #843047)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 05 Nov 2016 15:10:45 +0100

=== debian/control ===
Source: pd-pool
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends: debhelper (>= 9),
 pd-flext-dev,
 pkg-config,
 pd-lib-builder,
Standards-Version: 3.9.8
Homepage: http://grrrr.org/research/software/pool
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-pool.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-pool.git

Package: pd-pool
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends},
Description: Hierarchical data storage for Pure Data
 [pool] can store and retrieve key/value pairs, where a key can be any atom and
 the value can be any list of atoms. [pool] can manage folders, a folder name
 can be any atom. [pool] objects can be named and then share their data space.
 Clipboard operations are possible in a pool or among several pools.
 File operations can load/save data from disk.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	make -f /usr/share/pd-flext/dev/Makefile.flext \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

override_dh_auto_clean:
	make -f /usr/share/pd-flext/dev/Makefile.flext clean
	dh_auto_clean

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=uversionmangle=s/-/./g,dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/pool-$1\.tar\.gz/ \
  https://github.com/grrrr/pool/tags .*/v(\d\S*)\.tar\.gz

## pd-pool 0.2.2%2Bgit20210923.1.40cb82e

=== debian/changelog ===
pd-pool (0.2.2+git20210923.1.40cb82e-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:49:55 +0100

pd-pool (0.2.2+git20210923.1.40cb82e-1) unstable; urgency=medium

  * New upstream version 0.2.2+git20210923.1.40cb82e

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Adjust to new build-system
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #977755)
  * Include buildtools.mk (also needed for cross-compilation)
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump d/watch version
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Sep 2021 23:06:27 +0200

pd-pool (0.2.2+git20161105.1.4b157f51-1) unstable; urgency=medium

  * New upstream version 0.2.2+git20161105.1.4b157f51
    * this is really the same as 0.2.2~git20161105.1.4b157f51-1
      but it sorts nicer...
  * Bumped dh compat to 11
  * Disabled dh_autoreconf
  * Enabled hardening
  * Added licensecheck target to d/rules
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Updated d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:31:57 +0100

## pd-pool 0.2.2+git20161105.1.4b157f51

=== debian/control ===
Source: pd-pool
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 pd-flext-dev,
 pkg-config,
 pd-lib-builder,
Standards-Version: 4.1.3
Homepage: https://grrrr.org/research/software/pool
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pool.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-pool

Package: pd-pool
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Hierarchical data storage for Pure Data
 [pool] can store and retrieve key/value pairs, where a key can be any atom and
 the value can be any list of atoms. [pool] can manage folders, a folder name
 can be any atom. [pool] objects can be named and then share their data space.
 Clipboard operations are possible in a pool or among several pools.
 File operations can load/save data from disk.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,13 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+#enable hardening
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+	^\./\.git/.*|\./debian/|\./pool\.mcp|\./pool\.help$
+
 %:
-	dh $@
+	dh $@ --without autoreconf
 
 override_dh_auto_build:
 	make -f /usr/share/pd-flext/dev/Makefile.flext \
@@ -15,3 +20,8 @@
 	make -f /usr/share/pd-flext/dev/Makefile.flext clean
 	dh_auto_clean
 
+licensecheck:
+	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=uversionmangle=s/-/./g,dversionmangle=s/\+git[0-9a-f.]*$//,filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/pool-$1\.tar\.gz/ \
  https://github.com/grrrr/pool/tags .*/v(\d\S*)\.tar\.gz

## pd-pool 0.2.2+git20210923.1.40cb82e

=== debian/changelog ===
pd-pool (0.2.2+git20210923.1.40cb82e-3) unstable; urgency=medium

  * Build Pd64 flavor alongside Pd32
    + Add patch to build multiple flavors
  * B-D on dh-sequence-puredata
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Jul 2023 11:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
+ dh-sequence-puredata,
  pd-flext-dev,
  pkg-config,
- pd-lib-builder,
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://grrrr.org/research/software/pool
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pool.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-pool
@@ -17,8 +18,8 @@
 Package: pd-pool
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Hierarchical data storage for Pure Data
  [pool] can store and retrieve key/value pairs, where a key can be any atom and
  the value can be any list of atoms. [pool] can manage folders, a folder name

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|pool\.mcp|pool\.help
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-pool 0.2.3

=== CMakeLists.txt ===
# CMAKE definition file for Max
# depends on max-sdk-base to be present
#
# mkdir build && cd build
# cmake .. -Wno-dev FLEXT_DIR=../flext
# make

cmake_minimum_required(VERSION 3.0)

file(GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/source/*.cpp)

# output to current folder
set(C74_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

set(C74_MAX_API_DIR ${CMAKE_CURRENT_SOURCE_DIR}/max-sdk-base)

include(${C74_MAX_API_DIR}/script/max-pretarget.cmake)

include_directories(
        "${C74_MAX_API_DIR}/c74support/max-includes"
        "${C74_MAX_API_DIR}/c74support/msp-includes"
        "${C74_MAX_API_DIR}/c74support/jit-includes"
        "${FLEXT_DIR}/source"
)

add_definitions(
        -DFLEXT_INLINE=1
        -DFLEXT_ATTRIBUTES=1
        -DFLEXT_SYS=1
        -DMSP64=1
)

set( SOURCE_FILES ${SOURCES} )

add_library(
        ${PROJECT_NAME}
        MODULE
        ${SOURCE_FILES}
)

include(${C74_MAX_API_DIR}/script/max-posttarget.cmake)

=== debian/changelog ===
pd-pool (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * B-D on 'pkgconf' rather than obsolete 'pkg-config'
  * Drop obsolete Rules-Requires-Root stanza.
  * Add ${puredata:(Depends|Recommends|Suggests|Provides)} clauses
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Update d/watch to version:5
    + d/watch: filter out unwanted tags
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 13 Dec 2025 14:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
  debhelper-compat (= 13),
  dh-sequence-puredata,
  pd-flext-dev,
- pkg-config,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://grrrr.org/research/software/pool
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pool.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-pool
@@ -19,7 +18,14 @@
 Architecture: any
 Depends:
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Hierarchical data storage for Pure Data
  [pool] can store and retrieve key/value pairs, where a key can be any atom and
  the value can be any list of atoms. [pool] can manage folders, a folder name

=== debian/watch ===
Version: 5

Template: GitHub
Owner: grrrr
Project: pool
Uversionmangle: s/[-_]/\./g
# filter out any tags that do not start with "v"
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v@ANY_VERSION@
